/*******************************************************************************
* File Name: isr8.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_isr8_H)
#define CY_ISR_isr8_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void isr8_Start(void);
void isr8_StartEx(cyisraddress address);
void isr8_Stop(void);

CY_ISR_PROTO(isr8_Interrupt);

void isr8_SetVector(cyisraddress address);
cyisraddress isr8_GetVector(void);

void isr8_SetPriority(uint8 priority);
uint8 isr8_GetPriority(void);

void isr8_Enable(void);
uint8 isr8_GetState(void);
void isr8_Disable(void);

void isr8_SetPending(void);
void isr8_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the isr8 ISR. */
#define isr8_INTC_VECTOR            ((reg32 *) isr8__INTC_VECT)

/* Address of the isr8 ISR priority. */
#define isr8_INTC_PRIOR             ((reg32 *) isr8__INTC_PRIOR_REG)

/* Priority of the isr8 interrupt. */
#define isr8_INTC_PRIOR_NUMBER      isr8__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable isr8 interrupt. */
#define isr8_INTC_SET_EN            ((reg32 *) isr8__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the isr8 interrupt. */
#define isr8_INTC_CLR_EN            ((reg32 *) isr8__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the isr8 interrupt state to pending. */
#define isr8_INTC_SET_PD            ((reg32 *) isr8__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the isr8 interrupt. */
#define isr8_INTC_CLR_PD            ((reg32 *) isr8__INTC_CLR_PD_REG)



#endif /* CY_ISR_isr8_H */


/* [] END OF FILE */
